<?php
/*
	Clase Familia
	@version 1.0
*/

class SuperFamilia extends Objeto{
	public static $camposSelect = '';
	public static $whereSelect = '';
	public static $publicFieldList = array();
	//public static $nombreTabla = 'familia';
	public static $nombreTabla = '';
	//public static $alias = 'fam';
	public static $alias = '';
	//public static $campos_tabla = array(['nombre']);
	public static $campos_tabla = array();
	
    function __construct($codigo_familia = NULL){
		$idioma = Idioma::getCurrentLanguaje(true);
        $codigo_familia = NULL;
		$filaFamilia = NULL;
    }
    function __destruct(){
        
    }
	//Aquellas tablas "simples" no tienen que cargar ni campos ni nombre de manera especial, lo hacen con la función base
	/*
    public static function getCampos(){
		static::$nombreTabla = strtolower(get_called_class());
		static::getTablaRelacionada();
		//Una vez que tenemos el nombre de la tabla, vamos a obtener los campos de la misma y los nombres para la selec
		if (static::$nombreTabla != ''){
			//include('comunes/diccionario/diccionario.php');
			static::$campos_tabla = BaseDatos::$dictionary->{static::$nombreTabla . 'Campos'};
			static::$camposSelect = 
				BaseDatos::dameCamposAlias(BaseDatos::$dictionary->{static::$nombreTabla . 'Campos'}, static::getAlias()) . ' ';
		}
		return(static::$camposSelect);
	}
	
	public static function getNombreTabla(){
		$idioma = Idioma::getCurrentLanguaje(true);
		//Incluimos los globals para coger el valor del idioma:
		//include('comunes/globals.php');
		static::$nombreTabla = strtolower(get_called_class());
		static::getTablaRelacionada();
		//Vamos a simplificar, cogemos el nombre de la tabla usando la función de la clase padre:
		static::$nombreTabla = static::$nombreTabla . ' `' .  static::getAlias() . '`  ';
		return(static::$nombreTabla);
	}
	*/
	public static function getWhereTabla(){
		$argumentos = func_get_args();
		$codigo_familia = isset($argumentos[0]) ? $argumentos[0] : NULL;
		$limitar = isset($argumentos[1]) ? $argumentos[1] : true;
		
		//include('comunes/globals.php');
		static::$whereSelect = '';
		if ($codigo_familia != NULL) {
			static::$whereSelect = ' `' . static::getAlias() . '`.`codigo` = "' . $codigo_familia . '" OR `' .  static::getAlias() . '`.`ean` = "' . $codigo_familia . '" ';
		}
		
		if ($limitar){
			static::$whereSelect .= ' LIMIT 1 ';
		}
		return(static::$whereSelect);
	}
	
}
?>